Last Comment Bug 680440 - Clean up jemalloc linkage
: Clean up jemalloc linkage
Status: RESOLVED FIXED
fixed-in-bs
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Mike Hommey [:glandium]
:
Mentors:
Depends on: 678195 680373 681588 683441 706042
Blocks: 677501 678977 685480
  Show dependency treegraph
 
Reported: 2011-08-19 08:05 PDT by Mike Hommey [:glandium]
Modified: 2011-12-01 00:25 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Clean up jemalloc linkage (11.21 KB, patch)
2011-08-19 08:11 PDT, Mike Hommey [:glandium]
no flags Details | Diff | Review
Clean up jemalloc linkage (12.57 KB, patch)
2011-08-19 09:21 PDT, Mike Hommey [:glandium]
no flags Details | Diff | Review
Clean up jemalloc linkage (13.13 KB, patch)
2011-08-19 11:27 PDT, Mike Hommey [:glandium]
no flags Details | Diff | Review
Clean up jemalloc linkage (29.69 KB, patch)
2011-08-25 08:54 PDT, Mike Hommey [:glandium]
no flags Details | Diff | Review
Clean up jemalloc linkage (29.05 KB, patch)
2011-08-25 09:27 PDT, Mike Hommey [:glandium]
no flags Details | Diff | Review
Clean up jemalloc linkage (29.16 KB, patch)
2011-08-25 09:29 PDT, Mike Hommey [:glandium]
no flags Details | Diff | Review
Clean up jemalloc linkage (29.80 KB, patch)
2011-08-25 10:03 PDT, Mike Hommey [:glandium]
khuey: review+
Details | Diff | Review
Clean up jemalloc linkage (29.75 KB, patch)
2011-08-31 14:21 PDT, Mike Hommey [:glandium]
no flags Details | Diff | Review

Description Mike Hommey [:glandium] 2011-08-19 08:05:15 PDT
There are currently four different ways jemalloc can be linked against (basically, one for each tier-1 platform), and none of them use the same hooks and variables.
Comment 1 Mike Hommey [:glandium] 2011-08-19 08:11:46 PDT
Created attachment 554425 [details] [diff] [review]
Clean up jemalloc linkage

Testing this patch on try: http://tbpl.allizom.org/?usebuildbot=1&tree=Try&rev=36608887cdac
Comment 2 Mike Hommey [:glandium] 2011-08-19 09:21:22 PDT
Created attachment 554445 [details] [diff] [review]
Clean up jemalloc linkage

This one should work better
http://tbpl.allizom.org/?usebuildbot=1&tree=Try&rev=05a3cf10577e
Comment 3 Mike Hommey [:glandium] 2011-08-19 11:27:15 PDT
Created attachment 554480 [details] [diff] [review]
Clean up jemalloc linkage
Comment 4 Mike Hommey [:glandium] 2011-08-25 08:54:48 PDT
Created attachment 555747 [details] [diff] [review]
Clean up jemalloc linkage
Comment 5 Mike Hommey [:glandium] 2011-08-25 09:27:53 PDT
Created attachment 555754 [details] [diff] [review]
Clean up jemalloc linkage
Comment 6 Mike Hommey [:glandium] 2011-08-25 09:29:43 PDT
Created attachment 555755 [details] [diff] [review]
Clean up jemalloc linkage
Comment 7 Mike Hommey [:glandium] 2011-08-25 10:03:21 PDT
Created attachment 555766 [details] [diff] [review]
Clean up jemalloc linkage
Comment 8 Paul Biggar 2011-08-30 22:02:01 PDT
Comment on attachment 555766 [details] [diff] [review]
Clean up jemalloc linkage

This is a lovely cleanup. I was just rooting through some of this stuff to try to solve some linker issues on bug 414946, and this would have saved me quite some time and mental energy.
Comment 9 Kyle Huey [:khuey] (khuey@mozilla.com) (Away until 6/13) 2011-08-31 13:34:52 PDT
Comment on attachment 555766 [details] [diff] [review]
Clean up jemalloc linkage

I looked hard for something to complain about, but it's so much better than the gunk we have no that I couldn't really come up with anything.

r=me
Comment 10 Mike Hommey [:glandium] 2011-08-31 14:21:55 PDT
Created attachment 557321 [details] [diff] [review]
Clean up jemalloc linkage

Refreshed against m-c (only context changes)
Comment 11 Mike Hommey [:glandium] 2011-09-01 05:14:47 PDT
http://hg.mozilla.org/projects/build-system/rev/805e28e85577
Comment 12 Kyle Huey [:khuey] (khuey@mozilla.com) (Away until 6/13) 2011-09-02 14:48:14 PDT
http://hg.mozilla.org/mozilla-central/rev/805e28e85577
Comment 13 Ed Morley [:emorley] 2011-09-02 20:49:06 PDT
The whole b-s merge backed out of m-c for causing bustage:
http://hg.mozilla.org/mozilla-central/rev/472716252ea3

https://tbpl.mozilla.org/?usebuildbot=1&rev=e5815c156b6c
Comment 14 Mike Hommey [:glandium] 2011-09-05 23:13:31 PDT
The backout was backed out on b-s.

Note You need to log in before you can comment on or make changes to this bug.